Learning SAS? Welcome to the exclusive online community for all SAS learners.

Error: created by a more recent release of SAS and cannot be accessed by this release

Reply
New Contributor
Posts: 2

Error: created by a more recent release of SAS and cannot be accessed by this release

[ Edited ]

I'm getting this error when trying to use SAS University Edition - SAS Studio to access datasets created in SAS 9.4 (PC Version).

 

Error: <dataset name> was created by a more recent release of SAS and cannot be accessed by this release.

 

Does anyone know what would cause this read error? My SAS University Edition says it's up to date. Thanks!

Valued Guide
Posts: 596

Re: Error: created by a more recent release of SAS and cannot be accessed by this release

That is very strange - SAS University Edition runs SAS 9.4 M5 which is also the latest release for PC SAS. You can't run a significantly older copy of SAS UE either since it's only licensed for one year at a time. It doesn't help that SAS UE runs in a Linux VM so you'll have cross environment access problems but that shouldn't stop you reading the file.

 

Maybe opening a track with SAS Support might give you more clues.

New Contributor
Posts: 2

Re: Error: created by a more recent release of SAS and cannot be accessed by this release

Posted in reply to ChrisBrooks
Thanks for the reply! I found it strange, too. All I could think of was
that maybe a few of my datasets got corrupted when I transferred them via a
password-protected thumb drive.

I'll take your advice and follow up with SAS Support.
Ask a Question
Discussion stats
  • 2 replies
  • 210 views
  • 0 likes
  • 2 in conversation